TA-Lib安装错误如何解决?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (613)

我正在尝试安装TA-Lib在DebianJessie上使用pip。但是,我遇到了以下错误:

#include "ta-lib/ta_defs.h"
                            ^
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

这只是一点点的错误。我试过安装以下软件包:

sudo apt-get install build-essential autoconf libtool pkg-config python-opengl python-imaging python-pyrex python-pyside.qtopengl idle-python2.7 qt4-dev-tools qt4-designer libqtgui4 libqtcore4 libqt4-xml libqt4-test libqt4-script libqt4-network libqt4-dbus python-qt4 python-qt4-gl libgle3 python-dev

sudo easy_install greenlet

sudo easy_install gevent

运气不好。如果有什么不同,我在VPS上使用python3.4。对我如何解决这个问题有什么想法吗?

提问于
用户回答回答于

你可以尝试执行./configure --prefix = $ VIRTUALENV,这会在你的虚拟环境的include和lib文件夹中创建文件,但在后续运行pip3安装TA-Lib之后,仍会发生与之前相同的错误...如果您弄清楚这一点,请让我知道!:)

用户回答回答于

我在安装ta-lib时(在Windows上)也出现了一些错误,我设法使用conda安装它:

conda install -c quantopian ta-lib=0.4.9

所属标签

可能回答问题的人

  • 人生的旅途

    10 粉丝484 提问6 回答
  • 不吃貓的鱼oo

    5 粉丝466 提问6 回答
  • 富有想象力的人

    4 粉丝0 提问5 回答
  • Richel

    8 粉丝0 提问5 回答

扫码关注云+社区

领取腾讯云代金券

年度创作总结 领取年终奖励